Structured Geocode API

The Structured Geocode API enables users to locate places by performing a structured address lookup. Users can provide details such as country, city, postal code, street, and house number. This API queries the geocoding index for data above street level and does not include Points of Interest (POIs) in the response.

Following endpoint can be used to submit a structured geocode query:

GET

https://api.nextbillion.io/orbis/geocode/structured?key={your_api_key}&countryCode={country_code}

Request Parameters

Loading..

Response Body

Loading..

Sample Request

Below query geocodes an address in East Bonneville Avenue street in Las Vegas:

1
curl --location 'https://api.nextbillion.io/orbis/geocode/structured?key=<your_api_key>&countryCode=USA&city=Las Vegas&neighborhood=Downtown Las Vegas&postalCode=89101-6605&street=East Bonneville Avenue&houseNumber=122'

Sample Response

1
{
2
"items": [...]
3
}

API Query Limits

  • NextBillion.ai allows a maximum rate limit of 2400 queries per minute or 40 queries/second for continuous requests.

API Error Codes

Response CodeDescriptionAdditional Notes
200

Normal success case.

Normal success case.

400

Input validation failed.

There is a missing or an invalid parameter or a parameter with an invalid value type is added to the request.

401

APIKEY not supplied or invalid.

This error occurs when the wrong API key is passed in the request or the key is missing altogether.

403

APIKEY is valid but does not have access to requested resources.

You might be querying for a geographical region which is not valid for your account or requesting a service which is not enabled for you.

404

Requested host/path not found.

This error occurs when a malformed hostname is used.

422

Could not process the request.

The request could not be completed for the given set of locations or parameter configuration.

429

Too many requests.

QPM reached or API request count quota reached.

500

Internal Service error.

There was an internal issue with NextBillion.ai services. You can reach out to support@nextbillion.ai for an explanation.